Name:	       xf86-input-evdev
Version:       2.11.0
Release:       1mamba
Summary:       X.Org input drivers for evdev
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://ftp.x.org/archive/individual/driver/xf86-input-evdev-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libevdev-devel
BuildRequires: libmtdev-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
BuildRequires: libevdev-devel
BuildRequires: xorg-server-devel >= 1.20.4
BuildRequires: xorgproto-devel >= %{xorg_ver}

%description
X.Org input drivers for evdev.

%package devel
Group:         Development/Libraries
Summary:       Header files provided with %{name}

%description devel
This package contains the header files provided with %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files 
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_datadir}/X11/xorg.conf.d/10-evdev.conf
%{_mandir}/man4/evdev.4*

%files devel
%defattr(-,root,root)
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc

%changelog
* Tue Nov 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0-1mamba
- update to 2.11.0

* Sat Jun 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.6-3mamba
- renamed from xorg-drv-input-evdev; added devel package

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.6-2mamba
- rebuilt with xorg-server 1.20.4

* Sat Jun 09 2018 Automatic Build System <autodist@mambasoft.it> 2.10.6-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.5-2mamba
- rebuilt with xorg-server 1.19.5

* Sat Jan 28 2017 Automatic Build System <autodist@mambasoft.it> 2.10.5-1mamba
- automatic version update by autodist

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Mon May 02 2016 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Sun Jan 17 2016 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.2-2mamba
- rebuilt with xorg-server 1.17.2

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic update by autodist

* Thu Dec 11 2014 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 2.9.0-2mamba
- X.org 1.15 rebuild

* Tue Jun 03 2014 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.3-1mamba
- xorg-server 1.12 mass rebuild

* Thu Mar 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-3mamba
- rebuilt with xorg-server 1.10

* Thu Feb 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-2mamba
- rebuilt with xorg-server 1.9

* Thu Jan 13 2011 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic update by autodist

* Sun Oct 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- rebuilt with Xorg 1.8

* Sun Aug 29 2010 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic update by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic update by autodist

* Tue Feb 23 2010 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- automatic rebuild by autodist

* Mon Oct 19 2009 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic update by autodist

* Thu Aug 06 2009 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic update by autodist

* Fri Jul 31 2009 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- update to 2.2.2

* Fri Jun 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-2mamba
- rebuilt with xorg-server 1.6.1


* Fri Jun 05 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.4-1mamba
- Package created 
